AddDefaultCharset UTF-8
<IfModule mod_php5.c>
    php_flag magic_quotes_gpc off
</IfModule>
<IfModule mod_deflate.c>
    AddOutputFilter DEFLATE js css lng ico
    BrowserMatch ^Mozilla/4 gzip-only-text/html
    BrowserMatch ^Mozilla/4\.0[678] no-gzip
    BrowserMatch \bMSIE !no-gzip !gzip-only-text/html 
</IfModule>
<IfModule mod_expires.c>
	ExpiresActive On
	ExpiresDefault "now"
	ExpiresByType text/html "now"
	ExpiresByType text/xml "now"
	ExpiresByType text/php "access plus 1 years"
	ExpiresByType text/css "access plus 1 years"
	ExpiresByType text/javascript "access plus 1 years"
	ExpiresByType application/javascript "access plus 1 years"
	ExpiresByType application/x-javascript "access plus 1 years"
	ExpiresByType text/ecmascript "access plus 1 years"
	ExpiresByType image/gif "access plus 1 years"
	ExpiresByType image/png "access plus 1 years"
	ExpiresByType image/jpeg "access plus 1 years"
	ExpiresByType image/ico "access plus 1 years"
	ExpiresByType image/icon "access plus 1 years"
	ExpiresByType image/x-icon "access plus 1 years"
	ExpiresByType video/x-flv "access plus 1 years"
	ExpiresByType video/quicktime "access plus 1 years"
	ExpiresByType application/x-shockwave-flash "access plus 1 years"
	ExpiresByType application/pdf "access plus 1 years"
	
	<FilesMatch "\.(png|jpg|gif|css|flv|ico|lng)$">
		Header set Cache-Control "max-age=290304000, public"
	</FilesMatch>
	<FilesMatch "\.(php|html)$">
		Header set Cache-Control "max-age=0, must-revalidate"
	</FilesMatch>
</IfModule>
<IfModule mod_headers.c>
  <FilesMatch "\.(js|css|xml|gz)$">
    Header append Vary Accept-Encoding
  </FilesMatch>
</IfModule>